Tecnologia e non solo

aprile 26, 2008

Guida illustrata preliminari makefusion9 su Hardy

Filed under: Compiz-core,Fusion,Hardy — telperion @ 1:26 pm

Qualche immagine per spiegare meglio la procedura preliminare
di rimozione dei pacchetti Compiz/Fusion su Ubuntu 8.04 Hardy Heron Gnome
ed il setup necessario alla compilazione di Compiz/Fusion
con lo script makefusion9.


Installate da terminale i due pacchetti:

sudo apt-get install git-core
sudo apt-get install nautilus-open-terminal

seguito da

killall nautilus

Disattivare effetti visivi – IMPORTANTE
immagine1

Disinstallare tutti i pacchetti compiz libdecorator emerald.
immagine2
immagine3

oppure da terminale:

sudo dpkg -r compiz compiz-bcop compiz-core compiz-dev compiz-fusion-bcop compiz-fusion-plugins-extra compiz-fusion-plugins-main compiz-gnome compiz-kde compiz-plugins compizconfig-backend-gconf compizconfig-backend-kconfig compizconfig-settings-manager libcompizconfig0 libcompizconfig0-dev python-compizconfig emerald libemeraldengine-dev libemeraldengine0

Creare la cartella fusion nella home.
immagine4

Scompattere l’archivio e rendere eseguibile il file.

immagine5

Impostare con gedit la variabile DISTRO=
immagine6

Installare al primo utilizzo i pacchetti necessari all compilazione.
immagine7

Al termine siete pronti alla compilazione ed installazione con clone ed install
come descritto nel dettaglio in
Compiz/Fusion: makefusion9 – script per compilazione.
(cliccate sulla scritta per leggere la guida)

Buon divertimento.

immagine finale

NOTA:
EFFETTI VISIVI è un applet di Ubuntu per controllare
SOLO ED ESCLUSIVAMENTE
il compiz impacchettato fornito da Ubuntu stessa.
Non è un componente di compiz/fusion
e non và usato con con il git compilato

DOVETE USARE fusion-icon
per lanciare compiz/passare a metacity,
configurare compiz temi e decoratori.

immagine fusion-icon

Lo trovate nel menu -> strumenti di sistema.

Se avete una scheda Nvidia in compiz options (nel menu)
attivate l’opzione loose binding

Se avete una scheda con i driver oss xorg (dri)
invece attiivate l’opzione indirect rendering

Nel ccsm (settings manager) dovete usare il flat-file configuration backend:
immagine ccsm backend

Leggete con attenzione le guide, altrimenti poi incontrate problemi
spesso da imputare a voi stessi.

28 commenti

  1. Si lo so,
    Guida illustrata preliminari …
    vi aspettavate almeno il Kamasutra,
    mi spiace deludervi.😉

    Commento di telperion — aprile 26, 2008 @ 1:30 pm

  2. […] Guida illustrata preliminari makefusion9 su Ubuntu Hardy Gnome […]

    Pingback di Compiz/Fusion: makefusion9 - script per compilazione. « Tecnologia e non solo — aprile 26, 2008 @ 1:33 pm

  3. ma deve rimanere master-noxcb? o posso cambiarla in master?

    Commento di lupo — aprile 26, 2008 @ 2:05 pm

  4. lupo su HH anche se lasci master-noxcb si setta automaticamente su “master”, quindi è lo stesso
    (vale solo per “ubuntu-hardy”)

    Commento di telperion — aprile 26, 2008 @ 2:26 pm

  5. telepeiron invoco il tuo aiuto… ubuntu 8.04 con una scheda video che mi sta facendo dannare: radeon 7000 premettendo che con la 7.04 e il makefusion8 andava ottimamente! passato a 8.04 compiz fusion dei repository va, anche se non eccelsamente dato che compaiono dei quadrati neri qua e la e noto un rallentamento generale della grafica! mi domando per quale motivo il makefusion9 non ne vuole prprio sapere mi da problemi sia in fase di installazione che di disinstallazione va avnti un pò e poi mi da una serie di errori in rosso dicendomi che compiz non è installato… grazie, sto tentando di installarlo! aiuto!

    Commento di 04pie — aprile 26, 2008 @ 3:37 pm

  6. Gli errori in rosso in uninstall come spiegato nell’articolo su makefusion9 NON SONO UN PROBLEMA
    ignorali tranquillamente.

    I messaggi ERROR in fase di install invece se ci sono, sono un problema. Tutti gli avvisi e altro tipo WARNING invece possono essere tranquillamente ignorati.

    Sa hai ERROR in fase di ./makefusion9 install magari posta l’errore.

    Inoltre se hai KUBUNTU Hardy (kde) devi leggere la risposta 58 dell’articolo su makefusion9,
    Kubuntu dopo gutsy NON é supportato e testato da makefusion9, quindi bisogna adattarsi un pò lo script da se. Invece UBUNTU Hardy (gnome) è testato e supportato.

    Commento di telperion — aprile 26, 2008 @ 3:45 pm

  7. credo che gli errori inizino da qui

    Configuring plugins-unsupported…

    [edit] esiste pastebin per i log lunghi:
    http://pastebin.com/f68650fa1

    Commento di 04pie — aprile 26, 2008 @ 4:05 pm

  8. @04pie:
    configure: error: Package requirements (compiz) were not met:
    No package ‘compiz’ found

    compiz non viene compilato.
    guarda nella cartella .log nascosta i log di compiz configure e make cosa dicono
    Hai kde?

    Commento di telperion — aprile 26, 2008 @ 4:33 pm

  9. la cartella .log dove la trovo? in home ho solo .logs ma è vuota! non uso kde ma gnome

    Commento di 04pie — aprile 26, 2008 @ 4:47 pm

  10. Perfetto… nessun problema funziona tutto… grazie 1000

    Commento di maurolinux — aprile 27, 2008 @ 2:47 pm

  11. Prego.

    Commento di telperion — aprile 27, 2008 @ 5:12 pm

  12. grazie grazie grazie🙂
    domani tocca ad Arch…
    saluti

    Commento di ricochet — maggio 1, 2008 @ 8:36 am

  13. Sai che ti dico mo provo sto script su Xubuntu Hardy mettendo come distro di riferimento Ubuntu
    e vedo se funzia
    non prendermi per pazzo

    Commento di maxfact — maggio 4, 2008 @ 1:41 pm

  14. @maxfact: su xubuntu (gtk) dovrebbe funzionare con

    DISTRO="ubuntu-hardy"
    DE_used="gnome"

    ti installa solo molti pacchetti di gnome per le dipendenze.
    Io però non ho mai provato, un lettore invece si.

    Commento di telperion — maggio 4, 2008 @ 2:18 pm

  15. […] Se invece ve la volete menare (come faccio io XD) e volete avere sempre l’ultima versione con l’ultimissimo e inutilissimo plugin, beh seguite questa guida. […]

    Pingback di Beryl? no, compiz fusion e digressione su avant « Maurolinux Blog — maggio 7, 2008 @ 5:52 pm

  16. @telperion
    ti confermo che lo script funziona anche su Xubuntu
    e come dicevi tu c’erano solo un sacco di dipendenze da installare
    però compiz-fusion in questa versione è veramente bello

    Commento di maxfact — maggio 8, 2008 @ 11:45 am

  17. Qualcuno di voi ha avuto problemi con schede video geforce2 e questa versione di compiz ?!?! Mi riferisco alla misteriosa scomparsa della decorazione delle fineste (dove c’è la “X” per chiuderle😉 ) , se qualcuno sa qualcosa perfavore me lo dica

    Commento di openmania — maggio 9, 2008 @ 6:52 pm

  18. @openmania
    se funzionava con la versione di Ubuntu, con la git non cambia nulla. Se al primo colpo non appaiono le decorazioni da fusion-icon (devi usare quello per lanciare compiz) che vedi nell’ultima immagine dai un bel “Reload window manager”

    Commento di telperion — maggio 9, 2008 @ 7:34 pm

  19. @Telperion
    Anche la versione di Ubuntu ( Hardy ) mi da lo stesso problema ( appena cambio la risoluzione a 1280×1024 però ) e la soluzione da te proposta l’ho gia provata😦

    Commento di Openmania — maggio 10, 2008 @ 6:40 pm

  20. @Openmania:
    forse esaurisce la memoria video per le textures a risoluzioni elevate, con una scheda cosi datata forse meglio che fai un bel ./makefusion9 uninstall e reinstalli lo standard di ubuntu da usare a 1024×768 max.

    Commento di telperion — maggio 11, 2008 @ 12:23 am

  21. Guarda qua! sclero! aiutami please….

    tyler@thewoodpecker:~$ fusion-icon
    * Detected Session: gnome
    * Searching for installed applications…
    Traceback (most recent call last):
    File “/usr/bin/fusion-icon”, line 57, in
    from FusionIcon.interface import choose_interface
    File “usr/lib/python2.5/site-packages/FusionIcon/interface.py”, line 22, in
    File “usr/lib/python2.5/site-packages/FusionIcon/util.py”, line 421, in
    File “usr/lib/python2.5/site-packages/FusionIcon/util.py”, line 228, in __init__
    KeyError: ‘decoration’
    Error in sys.excepthook:
    Traceback (most recent call last):
    File “/usr/lib/python2.5/site-packages/apport_python_hook.py”, line 78, in apport_excepthook
    report_file = open(pr_filename, ‘wt’)
    IOError: [Errno 13] Permission denied: ‘/var/crash/_usr_bin_fusion-icon.1000.crash’

    Original exception was:
    Traceback (most recent call last):
    File “/usr/bin/fusion-icon”, line 57, in
    from FusionIcon.interface import choose_interface
    File “usr/lib/python2.5/site-packages/FusionIcon/interface.py”, line 22, in
    File “usr/lib/python2.5/site-packages/FusionIcon/util.py”, line 421, in
    File “usr/lib/python2.5/site-packages/FusionIcon/util.py”, line 228, in __init__
    KeyError: ‘decoration’

    Commento di picchio — maggio 17, 2008 @ 6:23 pm

  22. @picchio:
    prova a rifare ./makefusion9 install

    Commento di telperion — maggio 17, 2008 @ 6:38 pm

  23. vecchio mio sei formidabile, ottima guida! mi e bastato riavviare il pc e va tt alla perfezione! (questo si chiama culo)

    Commento di picchio — maggio 17, 2008 @ 7:48 pm

  24. HELP: Appena avvio Compiz Fusion Icon lo schermo diventa bianco visualizzando solo il puntatore

    Commento di Crymente — giugno 13, 2008 @ 2:19 pm

  25. Va tutto benissimo…ora la mia domanda e’ spontanea…..voglio la barra awn potrebbe andare in conflitto qualcosa?
    o seguo questa guida? ciao e grazie

    https://telperion.wordpress.com/2007/11/24/awn-trunk-bzr-come-compilarlo-debianubuntu/

    Commento di Domenico — ottobre 13, 2008 @ 7:33 pm

  26. @Domenico
    no nessun conflitto con AWN, se non vuoi compilarla credo trovi i pacchetti in qualche repository, con questa guida invece

    https://telperion.wordpress.com/2008/04/28/awn-trunk-bzr-come-compilarlo-debianubuntu-3a-edizione/

    compili la versione in sviluppo

    Commento di telperion — ottobre 13, 2008 @ 10:06 pm

  27. New video con il git 0.7.9
    http://it.youtube.com/watch?v=tjxQYzNM-gc

    Commento di Dave — ottobre 15, 2008 @ 1:54 pm

  28. ciao dopo l’aggiornamento ad ubuntu 8.10 mi esce questo errore all’avvio

    Error: Screen isn’t composited. Please run compiz (-fusion) or another composting manager.

    sono nel pallone non so che fare.

    ubuntu comunque funziona.
    ma prefrirei risolvere questo problema all’avvio.

    ciao

    Commento di Domenico — novembre 16, 2008 @ 2:20 pm


RSS feed for comments on this post.

Crea un sito o un blog gratuitamente presso WordPress.com.

%d blogger cliccano Mi Piace per questo: